Bug 123311 - Fix port: www/links; patch for correct UTF-8 locale
Fix port: www/links; patch for correct UTF-8 locale
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Sivachenko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 21:40 UTC by lazyklimm
Modified: 2008-05-20 09:20 UTC (History)
0 users

See Also:


Attachments
file.txt (2.39 KB, application/octet-stream)
2008-05-01 21:40 UTC, lazyklimm
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lazyklimm 2008-05-01 21:40:01 UTC
port www/links incorrectly shows some symbols(cyrillic) in X terminal when locale is set to *.UTF-8.

patch for fix taken from Gentoo Linux repositary

P.S. also added tiny fix for transparent terminals(just eyecandy)

Fix: diff -ruN links/Makefile links-utf8/Makefile
--- links/Makefile	2008-04-11 17:44:56.000000000 +0400
+++ links-utf8/Makefile	2008-05-02 00:20:38.000000000 +0400
@@ -8,6 +8,7 @@
 PORTNAME=	links
 DISTVERSION=	2.1pre33
 PORTEPOCH=	1
+PORTREVISION=	1
 CATEGORIES?=	www
 MASTER_SITES=	http://links.twibright.com/download/
 
@@ -27,7 +28,9 @@
 
 OPTIONS=	SVGALIB "non-X11 graphics support" off \
 		DIRECTFB "directfb driver support" off \
-		X11 "X11 graphics support" on
+		X11 "X11 graphics support" on \
+		UTF8 "With gentoo utf-8 patch" on \
+		TRANS "Hack for background transparency" off
 
 .include <bsd.port.pre.mk>
 
@@ -61,6 +64,14 @@
 CONFIGURE_ARGS+=	--without-x
 .endif
 
+.if defined(WITH_UTF8)
+.include "Makefile.utf-8"
+.endif
+
+.if defined(WITH_TRANS)
+EXTRA_PATCHES+=	${FILESDIR}/extra-terminal.c.diff
+.endif
+
 MAN1=		links.1
 PLIST_FILES=	bin/links
 
diff -ruN links/Makefile.utf-8 links-utf8/Makefile.utf-8
--- links/Makefile.utf-8	1970-01-01 03:00:00.000000000 +0300
+++ links-utf8/Makefile.utf-8	2008-05-02 00:20:38.000000000 +0400
@@ -0,0 +1,7 @@
+PATCHFILES=	links-2.1pre33-utf8.diff.bz2
+PATCH_SITES=	ftp://ftp.linux.ee/pub/gentoo/distfiles/distfiles/ \
+		ftp://ftp.osuosl.org/pub/blfs/conglomeration/links/ \
+		ftp://ftp.ntua.gr/pub/linux/gentoo/distfiles/
+PATCH_DIST_STRIP=-p1
+pre-configure:
+		pwd && cd ${WRKSRC}/intl && ./gen-intl && ./synclang && cd ..
diff -ruN links/distinfo links-utf8/distinfo
--- links/distinfo	2008-04-11 17:44:56.000000000 +0400
+++ links-utf8/distinfo	2008-05-02 00:20:38.000000000 +0400
@@ -1,3 +1,6 @@
 MD5 (links-2.1pre33.tar.bz2) = 99cdbd1194579eea6d857168a57e0d74
 SHA256 (links-2.1pre33.tar.bz2) = 1f6be6db54eb5fb2947926b5214879c260030da9909c1d189d053d8dc3357f98
 SIZE (links-2.1pre33.tar.bz2) = 3817630
+MD5 (links-2.1pre33-utf8.diff.bz2) = 82ba3c492079f8664743ce03446433a3
+SHA256 (links-2.1pre33-utf8.diff.bz2) = a34de30b787e6bab984cd5000c7a576f157437f622e9fe3a076808769a56db75
+SIZE (links-2.1pre33-utf8.diff.bz2) = 4793
diff -ruN links/files/extra-terminal.c.diff links-utf8/files/extra-terminal.c.diff
--- links/files/extra-terminal.c.diff	1970-01-01 03:00:00.000000000 +0300
+++ links-utf8/files/extra-terminal.c.diff	2008-05-02 00:20:38.000000000 +0400
@@ -0,0 +1,10 @@
+--- terminal.c.orig	2008-05-01 21:02:39.000000000 +0400
++++ terminal.c	2008-05-01 21:03:50.000000000 +0400
+@@ -819,6 +819,7 @@
+ 			add_to_str(&a, &l, m);						\
+ 			m[1] = '4';							\
+ 			m[2] = ((attrib >> 3) & 7) + '0';				\
++			if (m[2]!='0')							\
+ 			add_to_str(&a, &l, m);						\
+ 		} else if (getcompcode(attrib & 7) < getcompcode(attrib >> 3 & 7))	\
+ 			add_to_str(&a, &l, ";7");					\





------------8<------------------
or see b64encoded port below

Patch attached with submission follows:
How-To-Repeat: LC_ALL=ru_RU.UTF-8 links
then open page with cyrillic symbols :/
Comment 1 Edwin Groothuis freebsd_committer 2008-05-01 21:40:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2008-05-20 09:17:33 UTC
demon       2008-05-20 08:17:23 UTC

  FreeBSD ports repository

  Modified files:
    www/links            Makefile distinfo 
  Log:
  Fix usage of UTF8 locales.
  
  PR:             123311
  Submitted by:   Dmitry Klimov <lazyklimm@gmail.com>
  
  Revision  Changes    Path
  1.53      +19 -1     ports/www/links/Makefile
  1.25      +3 -0      ports/www/links/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter freebsd_committer 2008-05-20 09:18:39 UTC
demon       2008-05-20 08:18:34 UTC

  FreeBSD ports repository

  Added files:
    www/links/files      extra-terminal.c.diff 
  Log:
  Fix for transparent terminals.
  
  PR:             123311
  Submitted by:   Dmitry Klimov <lazyklimm@gmail.com>
  
  Revision  Changes    Path
  1.1       +10 -0     ports/www/links/files/extra-terminal.c.diff (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Sivachenko freebsd_committer 2008-05-20 09:19:07 UTC
State Changed
From-To: open->closed

Patch committed, thanks.